﻿Imports System.ComponentModel

Public MustInherit Class ViewModelBase
	Implements INotifyPropertyChanged

	Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

	Protected Overridable Sub OnPropertyChanged(ByVal propertyName As String)
		OnPropertyChanged(New PropertyChangedEventArgs(propertyName))
	End Sub

	Protected Overridable Sub OnPropertyChanged(ByVal e As PropertyChangedEventArgs)
		RaiseEvent PropertyChanged(Me, e)
	End Sub
End Class