﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using WindowsPhoneApplication1.Model;
using System.Collections.ObjectModel;

namespace ASPItalia.Books.Chapter3
{
	public partial class MainPage
	{
		// Constructor
		public MainPage()
		{
			InitializeComponent();
			authors.ItemsSource = AuthorList;
		}

		private ObservableCollection<Author> authorList;

		public ObservableCollection<Author> AuthorList
		{
			get
			{
				if (authorList == null)
				{
					authorList = new ObservableCollection<Author>();
				}
				return authorList;
			}
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			Author author = new Author();
			AuthorDetails details = new AuthorDetails();
			author.Name = name.Text;
			details.Site = site.Text;
			details.Job = job.Text;
			author.Details = details;
			AuthorList.Add(author);

		}
	}
}