﻿Imports System.Collections.ObjectModel
Imports ASPItalia.Books.Chapter3.Model

Partial Public Class MainPage
	Inherits PhoneApplicationPage

	' Constructor
	Public Sub New()
		InitializeComponent()
		authors.ItemsSource = AuthorList
	End Sub

	Private m_authorList As ObservableCollection(Of Author)

	Public ReadOnly Property AuthorList() As ObservableCollection(Of Author)
		Get
			If m_authorList Is Nothing Then
				m_authorList = New ObservableCollection(Of Author)()
			End If
			Return m_authorList
		End Get
	End Property

	Private Sub Button_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
		Dim author As New Author()
		Dim details As New AuthorDetails()
		author.Name = name.Text
		details.Site = site.Text
		details.Job = job.Text
		author.Details = details
		AuthorList.Add(author)

	End Sub
End Class
