﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace ASPItalia.Books.Chapter5
{
    public class CityGroup
    {
        public static List<City> AllCities = City.GetAllCities();

        public string FilterName { get; set; }

        public List<string> Cities
        {
            get
            {
                if (FilterName == "Tutte")
                {
                    return AllCities.Select(c => c.Name).ToList();
                }

                return AllCities.Where(c => c.Region == FilterName)
                  .Select(c => c.Name)
                  .ToList();
            }
        }
    }
}