﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace ASPItalia.Books.Chapter5
{
    public partial class Page_5_4 : PhoneApplicationPage
    {
        public Page_5_4()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string itemName = this.txtName.Text;
 
            if (!string.IsNullOrEmpty(itemName))
            {
                this.pivot.Items.Add(new PivotItem() { Header = itemName });

                this.lstHeaders.Items.Clear();
                foreach (var item in this.pivot.Items)
                {
                    var pivotItem = item as PivotItem;
                    if (pivotItem != null)
                        lstHeaders.Items.Add(new ListBoxItem() { Content = pivotItem.Header });
                }
            }
        }

    }
}