﻿Imports System.Collections.ObjectModel

Partial Public Class Page_5_7
    Inherits PhoneApplicationPage

    Dim events As New ObservableCollection(Of String)

    Public Sub New()
        InitializeComponent()
        Me.DataContext = events
    End Sub

    Private Sub pivot_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
        Me.events.Add("SelectionChanged")
    End Sub

    Private Sub pivot_LoadingPivotItem(ByVal sender As Object, ByVal e As PivotItemEventArgs)
        Me.events.Add("LoadingPivotItem - " + e.Item.Header.ToString)
    End Sub

    Private Sub pivot_LoadedPivotItem(ByVal sender As Object, ByVal e As PivotItemEventArgs)
        Me.events.Add("LoadedPivotItem - " + e.Item.Header.ToString)
    End Sub

    Private Sub pivot_UnloadedPivotItem(ByVal sender As Object, ByVal e As PivotItemEventArgs)
        Me.events.Add("UnloadedPivotItem - " + e.Item.Header.ToString)
    End Sub

    Private Sub pivot_UnloadingPivotItem(ByVal sender As Object, ByVal e As PivotItemEventArgs)
        Me.events.Add("UnloadingPivotItem - " + e.Item.Header.ToString)
    End Sub
End Class
