﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Media.Imaging;
using Microsoft.Xna.Framework.Media;

namespace ASPItalia.Books.Chapter6
{
	public partial class MainPage : PhoneApplicationPage
	{
		// Constructor
		public MainPage()
		{
			InitializeComponent();
		}

		private void ApplicationBarIconButton_Click(object sender, EventArgs e)
		{

		}

		protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
		{
			if (NavigationContext.QueryString.ContainsKey("token"))
			{
				// recuperiamo l'immagine da Zune
				MediaLibrary library = new MediaLibrary();
				Picture picture = library.GetPictureFromToken(NavigationContext.QueryString["token"]);

				// leggiamo e visualizziamo l'immagine
				BitmapImage bitmap = new BitmapImage();
				bitmap.SetSource(picture.GetImage());
				WriteableBitmap picLibraryImage = new WriteableBitmap(bitmap);
				CameraPic.Source = picLibraryImage;
			}
		}

		private void GoToOrientation(object sender, RoutedEventArgs e)
		{
			NavigationService.Navigate(new Uri("/Orientation.xaml", UriKind.Relative));
		}

		private void GoToOrientation2(object sender, RoutedEventArgs e)
		{
			NavigationService.Navigate(new Uri("/Orientation2.xaml", UriKind.Relative));
		}

		private void GoToMusicHub(object sender, RoutedEventArgs e)
		{
			NavigationService.Navigate(new Uri("/MusicHub.xaml", UriKind.Relative));
		}
	}
}