﻿Imports System.IO
Imports Microsoft.Devices

Partial Public Class MusicHub
	Inherits PhoneApplicationPage
	Public Sub New()
		InitializeComponent()
	End Sub

	Private Sub AddToHistory(ByVal sender As Object, ByVal e As RoutedEventArgs)
		Using thumb As Stream = Application.GetResourceStream(New Uri("Background.png", UriKind.Relative)).Stream

			Dim item As New MediaHistoryItem() With {
			 .Title = "Esempio di integrazione",
			 .Source = "Capitolo 6",
			 .ImageStream = thumb
			}

			' aggiungo informazioni di contesto
			item.PlayerContext.Add("ID", "uniqueID")

			' imposto su "now playing"
			MediaHistory.Instance.NowPlaying = item

			thumb.Seek(0, SeekOrigin.Begin)

			' aggiungo all'history
			MediaHistory.Instance.WriteRecentPlay(item)

			thumb.Seek(0, SeekOrigin.Begin)

			' aggiungo alle novità
			MediaHistory.Instance.WriteAcquiredItem(item)
		End Using
	End Sub
End Class