﻿Imports System.Collections.Generic
Imports System.Linq
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Microsoft.Phone.Controls

Partial Public Class Orientation2
	Inherits PhoneApplicationPage
	Public Sub New()
		InitializeComponent()

		AddHandler Me.OrientationChanged,
		 Sub(sender As Object, e As OrientationChangedEventArgs)
			 ' ricaviamo in che modalità ci troviamo
			 Dim isPortrait As Boolean = e.Orientation = PageOrientation.Portrait OrElse e.Orientation = PageOrientation.PortraitUp OrElse e.Orientation = PageOrientation.PortraitDown

			 Dim columnIndex As Integer = If(isPortrait, 0, 1)
			 Dim rowIndex As Integer = If(isPortrait, 1, 0)

			 ' impostiamo colonna e riga corrente per ToolBox
			 Grid.SetColumn(ToolBox, columnIndex)
			 Grid.SetRow(ToolBox, rowIndex)

			 ' gestiamo in maniera programmatica la dimensione della colonna
			 ContentPanel.ColumnDefinitions(0).Width = If(isPortrait, New GridLength(0, GridUnitType.Auto), New GridLength(700, GridUnitType.Star))

		 End Sub
	End Sub

End Class