﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace ASPItalia.Books.Chapter07.Converters
{
    public class QuantityToBrushConverter : IValueConverter
    {

        object IValueConverter.Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int quantity = (int)value;
            Color color = Colors.Green;
            if (quantity < 10)
                color = Colors.Blue;
            else if (quantity < 30)
                color = Colors.DarkGray;

            return new SolidColorBrush(color);
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
