﻿Imports Microsoft.Phone.Tasks
Imports System.Windows.Media.Imaging

Partial Public Class ChoosersDemo
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub TakePicture(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim task As New CameraCaptureTask()
        AddHandler task.Completed, AddressOf Me.task_Completed

        task.Show()
    End Sub

    Private Sub task_Completed(ByVal sender As Object, ByVal e As PhotoResult)
        If e.TaskResult = TaskResult.OK Then
            Dim image As New BitmapImage()
            image.SetSource(e.ChosenPhoto)

            Dim brush As New ImageBrush()
            brush.ImageSource = image
            Me.LayoutRoot.Background = brush
        End If
    End Sub

    Private Sub SelectPicture(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim photoTask As New PhotoChooserTask
        AddHandler photoTask.Completed, AddressOf Me.task_Completed
        photoTask.Show()
    End Sub
End Class
