﻿Imports System.Net

Public NotInheritable Class EnumExtensions

    Private Sub New()
    End Sub

    Public Shared Function TryParse(Of TEnum As Structure)(ByVal name As String, ByRef result As TEnum) As Boolean
#If SILVERLIGHT Then
			result = DirectCast(System.[Enum].Parse(GetType(TEnum), name, True), TEnum)

			Return True
#Else
        Return System.[Enum].TryParse(Of TEnum)(name, result)
#End If
    End Function

End Class

Public NotInheritable Class GuidExtensions
    Private Sub New()
    End Sub
    Public Shared Function TryParse(ByVal input As String, ByRef result As Guid) As Boolean
#If SILVERLIGHT Then
			result = New System.Guid(input)

			Return True
#Else
        Return System.Guid.TryParse(input, result)
#End If
    End Function
End Class