﻿Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Net
Imports System.IO
Imports System.Xml.Linq
Imports System.Xml

''' <summary>
''' Rappresent a toast push notification
''' </summary>
Public Class ToastPushNotification
    Inherits PushNotification
    ''' <summary>
    ''' Gets or sets the text1.
    ''' </summary>
    ''' <value>The text1.</value>
    Public Property Text1() As [String]
        Get
            Return m_Text1
        End Get
        Set(ByVal value As [String])
            m_Text1 = value
        End Set
    End Property
    Private m_Text1 As [String]

    ''' <summary>
    ''' Gets or sets the text2.
    ''' </summary>
    ''' <value>The text2.</value>
    Public Property Text2() As [String]
        Get
            Return m_Text2
        End Get
        Set(ByVal value As [String])
            m_Text2 = value
        End Set
    End Property
    Private m_Text2 As [String]

    Friend Overrides Sub PrepareHeader(ByVal headers As System.Net.WebHeaderCollection)
        MyBase.PrepareHeader(headers)

        'headers[HttpRequestHeader.ContentType] = "text/xml";
        headers("X-WindowsPhone-Target") = "toast"
        headers("X-NotificationClass") = (CInt(Me.NotificationClass) + 1).ToString()
    End Sub

    Friend Overrides Function GetPostData() As Byte()
        Dim toastXml As New XDocument(New XDeclaration("1.0", "utf-8", "no"), New XElement(WPNotificationNamespace + "Notification", New XElement(WPNotificationNamespace + "Toast", New XElement(WPNotificationNamespace + "Text1", If(Me.Text1, [String].Empty)), New XElement(WPNotificationNamespace + "Text2", If(Me.Text2, [String].Empty)))))

        Return WriteXml(toastXml)
    End Function
End Class