﻿Imports GalaSoft.MvvmLight.Command
Imports GalaSoft.MvvmLight.Messaging

Public Class MainPageViewModel
	Inherits ViewModelBase

	Public Sub New()
		MyBase.New()
		SearchCommand = New RelayCommand(AddressOf Search, Function() Not Me.IsLoading)
	End Sub

	Public Property SearchCommand() As ICommand
		Get
			Return m_SearchCommand
		End Get
		Private Set(ByVal value As ICommand)
			m_SearchCommand = value
		End Set
	End Property
	Private m_SearchCommand As ICommand

	Public Sub Search()
		' simulo una ricerca
		IsLoading = True

		' invio un comando
		Messenger.Default.Send(New DialogMessage("Test messaggio!",
				   Sub(r As MessageBoxResult)
					   ' gestisco la risposta
				   End Sub))
	End Sub

	Private _isLoading As Boolean
	Public Property IsLoading() As Boolean
		Get
			Return _isLoading
		End Get
		Private Set(ByVal value As Boolean)
			_isLoading = value
			OnPropertyChanged("IsLoading")
		End Set
	End Property

End Class