﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace ASPItalia.Books.Chapter4
{
    public partial class Page_4_12 : PhoneApplicationPage
    {
        public Page_4_12()
        {
            InitializeComponent();

            // Elenco di tutti i possibili valori di InputScope
            var scopes = typeof(InputScopeNameValue)
                .GetFields()
                .Where(f => f.FieldType == typeof(InputScopeNameValue) &&
                            (InputScopeNameValue)f.GetValue(null) > 0);

            // Creazione di una TextBox per ogni InputScope
            foreach (var f in scopes)
            {
                var value = (InputScopeNameValue)f.GetValue(null);
                ContentPanel.Children.Add(new TextBlock() { Text = f.Name });
                TextBox tb = new TextBox();
                tb.InputScope = new InputScope();
                tb.InputScope.Names.Add(
                  new InputScopeName() { NameValue = value });
                ContentPanel.Children.Add(tb);
            }
        }
    }
}