﻿Partial Public Class Page_4_12
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()

        ' Elenco di tutti i possibili valori di InputScope
        Dim scopes = GetType(InputScopeNameValue).
          GetFields().
          Where(Function(f)
                    Return (f.FieldType.Equals(GetType(InputScopeNameValue)) _
                            AndAlso _
                            (DirectCast(
                              f.GetValue(Nothing), InputScopeNameValue) > 0))
                End Function)

        ' Creazione di una TextBox per ogni InputScope
        For Each f In scopes
            Dim value = DirectCast(f.GetValue(Nothing), InputScopeNameValue)
            ContentPanel.Children.Add(New TextBox() With {.Text = f.Name})
            Dim tb As New TextBox()
            tb.InputScope = New InputScope()
            tb.InputScope.Names.Add(
              New InputScopeName() With {.NameValue = value})
            ContentPanel.Children.Add(tb)
        Next

    End Sub
End Class
