﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Collections.ObjectModel;

namespace ASPItalia.Books.Chapter5
{
    public partial class Page_5_7 : PhoneApplicationPage
    {
        private ObservableCollection<string> events = new ObservableCollection<string>();

        public Page_5_7()
        {
            InitializeComponent();
            this.DataContext = events;
        }

        private void pivot_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            this.events.Add("SelectionChanged");
        }

        private void pivot_LoadingPivotItem(object sender, PivotItemEventArgs e)
        {
            this.events.Add("LoadingPivotItem - " + e.Item.Header);
        }

        private void pivot_LoadedPivotItem(object sender, PivotItemEventArgs e)
        {
            this.events.Add("LoadedPivotItem - " + e.Item.Header);
        }

        private void pivot_UnloadedPivotItem(object sender, PivotItemEventArgs e)
        {
            this.events.Add("UnloadedPivotItem - " + e.Item.Header);
        }

        private void pivot_UnloadingPivotItem(object sender, PivotItemEventArgs e)
        {
            this.events.Add("UnloadingPivotItem - " + e.Item.Header);
        }
    }
}