﻿Public Class CityGroup
    Public Shared AllCities As List(Of City) = City.GetAllCities()

    Public Property FilterName As String

    Public ReadOnly Property Cities As List(Of String)
        Get
            If FilterName = "Tutte" Then
                Return AllCities.Select(Function(c) c.Name).ToList()
            End If

            Return AllCities.Where(Function(c) c.Region = FilterName).
              Select(Function(c) c.Name).
              ToList()

        End Get
    End Property

End Class
