﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Media.Imaging;
using System.IO;
using Microsoft.Devices;

namespace ASPItalia.Books.Chapter6
{
	public partial class MusicHub : PhoneApplicationPage
	{
		public MusicHub()
		{
			InitializeComponent();
		}

		private void AddToHistory(object sender, RoutedEventArgs e)
		{
			using (Stream thumb = Application.GetResourceStream(new Uri("Background.png", UriKind.Relative)).Stream)
			{

				MediaHistoryItem item = new MediaHistoryItem
				{
					Title = "Esempio di integrazione",
					Source = "Capitolo 6",
					ImageStream = thumb,
				};

				// aggiungo informazioni di contesto
				item.PlayerContext.Add("ID", "uniqueID");

				// imposto su "now playing"
				MediaHistory.Instance.NowPlaying = item;

				thumb.Seek(0, SeekOrigin.Begin);

				// aggiungo all'history
				MediaHistory.Instance.WriteRecentPlay(item);

				thumb.Seek(0, SeekOrigin.Begin);

				// aggiungo alle novità
				MediaHistory.Instance.WriteAcquiredItem(item);
			}
		}
	}
}