﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Threading;

namespace ASPItalia.Books.Chapter07
{
    public partial class CompositorPage : PhoneApplicationPage
    {
        public CompositorPage()
        {
            InitializeComponent();

            DispatcherTimer dt = new DispatcherTimer();
            dt.Interval = TimeSpan.FromMilliseconds(25);
            dt.Tick += new EventHandler(timer_Tick);
            //dt.Start();
            // Scommentare qui e togliere il trigger
        }

        private double direction = 1;

        void timer_Tick(object sender, EventArgs e)
        {
            CompositeTransform ct = (CompositeTransform)Rect2.RenderTransform;
            ct.ScaleY -= 0.025 * direction;
            if (ct.ScaleY <= 0 || ct.ScaleY >= 1)
                direction *= -1;
        }
    }
}