﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;
using System.Windows.Media.Imaging;

namespace ASPItalia.Books.Chapter12
{
    public partial class ChoosersDemo : PhoneApplicationPage
    {
        public ChoosersDemo()
        {
            InitializeComponent();
        }

        private void TakePicture(object sender, RoutedEventArgs e)
        {
            CameraCaptureTask task = new CameraCaptureTask();
            task.Completed += new EventHandler<PhotoResult>(task_Completed);

            task.Show();
        }

        void task_Completed(object sender, PhotoResult e)
        {
            if (e.TaskResult == TaskResult.OK)
            {
                BitmapImage image = new BitmapImage();
                image.SetSource(e.ChosenPhoto);

                ImageBrush brush = new ImageBrush();
                brush.ImageSource = image;
                this.LayoutRoot.Background = brush;
            }
        }

        private void SelectPicture(object sender, RoutedEventArgs e)
        {
            PhotoChooserTask photoTask = new PhotoChooserTask();
            photoTask.Completed += task_Completed;
            photoTask.Show();
        }
    }
}