﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace ASPItalia.Books.Chapter12
{
    public partial class LaunchersDemo : PhoneApplicationPage
    {
        public LaunchersDemo()
        {
            InitializeComponent();
        }

        private void StartVideo(object sender, RoutedEventArgs e)
        {
            var mediaplayer = new MediaPlayerLauncher();
            mediaplayer.Media = new Uri("http://media.aspitalia.com/screencast/Windows-Phone-7-prova-su-strada.mp4");
            mediaplayer.Show();
            mediaplayer.Location = MediaLocationType.Data;
        }

        private void CallDaniele(object sender, RoutedEventArgs e)
        {
            var phoneCall = new PhoneCallTask();
            phoneCall.DisplayName = "Daniele Bochicchio";
            phoneCall.PhoneNumber = "1234567890";
            phoneCall.Show();
        }

        private void ShareWithFriend(object sender, RoutedEventArgs e)
        {
            var emailCompose = new EmailComposeTask();
            emailCompose.Subject = "Ottimo libro su WP7";
            emailCompose.Body = "Ciao, ti consiglio un ottimo libro su WP7";
            emailCompose.Show();
        }
    }
}