﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.IO;
using System.Xml.Linq;
using System.Xml;

namespace ASPItalia.Books.Chapter13.Server
{
    public class RawPushNotification : PushNotification
    {

        public byte[] Data { get; set; }

        internal override void PrepareHeader(System.Net.WebHeaderCollection headers)
        {
            base.PrepareHeader(headers);

            headers["X-NotificationClass"] = (((int)this.NotificationClass) + 2).ToString();
        }

        internal override byte[] GetPostData()
        {
            return this.Data;
        }
    }
}
