﻿Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Partial Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub Send(ByVal notification As PushNotification)
        Dim uri As New Uri(Me.uri.Text)

        Dim sender As New PushNotificationSender()
        Dim response As PushNotificationResponse = sender.Send(uri, notification)

        MessageBox.Show(response.NotificationStatus.ToString())
    End Sub

    Private Sub sendButton_Click(ByVal s As Object, ByVal e As EventArgs) Handles sendButton.Click
        Send(New ToastPushNotification() With { _
         .Text1 = Me.text1.Text, _
         .Text2 = Me.text2.Text, _
         .NotificationClass = NotificationClass.Immediately _
        })
    End Sub

    Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
        Send(New TilePushNotification() With { _
         .Count = 1, _
         .Title = Me.text1.Text, _
         .BackgroundImage = New Uri(Me.text2.Text, UriKind.RelativeOrAbsolute), _
         .NotificationClass = NotificationClass.Immediately _
        })
    End Sub

    Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button2.Click
        Send(New RawPushNotification() With { _
         .Data = Encoding.UTF8.GetBytes(Me.text1.Text), _
         .NotificationClass = NotificationClass.Immediately _
        })
    End Sub






End Class