﻿Imports System.IO.IsolatedStorage
Imports System.Xml.Serialization
Imports Microsoft.Phone.Tasks
Imports Microsoft.Phone.Marketplace

Partial Public Class MainPage
  Inherits PhoneApplicationPage

  Public Sub New()
    InitializeComponent()

  End Sub

  Private Sub Button1_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
    Dim _mainData As MainData = TryCast(TryCast(Application.Current.RootVisual, PhoneApplicationFrame).DataContext, MainData)
    Dim _note As Note = New Note()
    _note.Text = _mainData.CurrentNote.Text
    _note.IsSpecial = _mainData.CurrentNote.IsSpecial
    _mainData.AllNotes.Add(_note)
    _mainData.CurrentNote = Nothing

    Using isf As IsolatedStorageFile = IsolatedStorageFile.GetUserStoreForApplication
      Using fs As IsolatedStorageFileStream = isf.CreateFile("MainData.dat")
        Dim ser As XmlSerializer = New XmlSerializer(GetType(MainData))
        ser.Serialize(fs, _mainData)
      End Using
    End Using
  End Sub


  Protected Overrides Sub OnNavigatedFrom(ByVal e As NavigationEventArgs)
    If State.ContainsKey("FocusedElement") Then
      State.Remove("FocusedElement")
    End If

    Dim focusedObj As Object = FocusManager.GetFocusedElement()
    If focusedObj IsNot Nothing Then
      Dim focusedControlName As String = TryCast(focusedObj, FrameworkElement).Name
      State.Add("FocusedElement", focusedControlName)
    End If

    MyBase.OnNavigatedFrom(e)
  End Sub

  Protected Overrides Sub OnNavigatedTo(ByVal e As NavigationEventArgs)
    If State.ContainsKey("FocusedElement") Then
      Dim focusedElement As Control = TryCast(Me.FindName(TryCast(State("FocusedElement"), String)), Control)

      If focusedElement IsNot Nothing Then
        focusedElement.Focus()
      End If
    End If

    MyBase.OnNavigatedTo(e)
  End Sub

  Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As RoutedEventArgs)
    NavigationService.Navigate(New Uri("/SecondPage.xaml", UriKind.Relative))
  End Sub

  Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As RoutedEventArgs)

    Dim licenseInfo As New LicenseInformation()

    If licenseInfo.IsTrial() = False Then
      Dim smsTask As SmsComposeTask = New SmsComposeTask()
      smsTask.Show()
    Else
      'funzione eseguita in modalità trial
      'vai alla pagina per chiedere l'acquisto
      NavigationService.Navigate(New Uri("/BuyPage.xaml", UriKind.Relative))
    End If

  End Sub

  Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
    If LicenseManager.Current.IsTrial = False Then
      Dim test As Object = String.Empty
      Dim i As Integer = DirectCast(test, Integer)
    End If
  End Sub

End Class
